Package org.apache.velocity.runtime

# Interface DeprecatedRuntimeConstants

All Known Subinterfaces:
  `RuntimeConstants`

All Known Implementing Classes:
  `RuntimeInstance`, `RuntimeSingleton`, `Velocity`, `VelocityEngine`

@Deprecated public interface DeprecatedRuntimeConstants
Deprecated.
This class gathers deprecated runtime constants

Version:
  $$
Author:
  Claude Brisson

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OLD_CHECK_EMPTY_OBJECTS`
Deprecated.
see `RuntimeConstants.CHECK_EMPTY_OBJECTS`
`static final String`
`OLD_CONTEXT_AUTOREFERENCE_KEY`
Deprecated.
see `RuntimeConstants.CONTEXT_AUTOREFERENCE_KEY`
`static final String`
`OLD_CONVERSION_HANDLER_CLASS`
Deprecated.
see `RuntimeConstants.CONVERSION_HANDLER_INSTANCE`
`static final String`
`OLD_CUSTOM_DIRECTIVES`
Deprecated.
see `RuntimeConstants.CUSTOM_DIRECTIVES`
`static final String`
`OLD_DEFINE_DIRECTIVE_MAXDEPTH`
Deprecated.
see `RuntimeConstants.DEFINE_DIRECTIVE_MAXDEPTH`
`static final String`
`OLD_DS_RESOURCE_LOADER_DATASOURCE`
Deprecated.
see `RuntimeConstants.DS_RESOURCE_LOADER_DATASOURCE`
`static final String`
`OLD_DS_RESOURCE_LOADER_KEY_COLUMN`
Deprecated.
see `RuntimeConstants.DS_RESOURCE_LOADER_KEY_COLUMN`
`static final String`
`OLD_DS_RESOURCE_LOADER_TEMPLATE_COLUMN`
Deprecated.
see `RuntimeConstants.DS_RESOURCE_LOADER_TEMPLATE_COLUMN`
`static final String`
`OLD_DS_RESOURCE_LOADER_TIMESTAMP_COLUMN`
Deprecated.
see `RuntimeConstants.DS_RESOURCE_LOADER_TIMESTAMP_COLUMN`
`static final String`
`OLD_ERRORMSG_END`
Deprecated.
see `RuntimeConstants.ERRORMSG_END`
`static final String`
`OLD_ERRORMSG_START`
Deprecated.
see `RuntimeConstants.ERRORMSG_START`
`static final String`
`OLD_EVENTHANDLER_INCLUDE`
Deprecated.
see `RuntimeConstants.EVENTHANDLER_INCLUDE`
`static final String`
`OLD_EVENTHANDLER_INVALIDREFERENCES`
Deprecated.
see `RuntimeConstants.EVENTHANDLER_INVALIDREFERENCES`
`static final String`
`OLD_EVENTHANDLER_METHODEXCEPTION`
Deprecated.
see `RuntimeConstants.EVENTHANDLER_METHODEXCEPTION`
`static final String`
`OLD_EVENTHANDLER_REFERENCEINSERTION`
Deprecated.
see `RuntimeConstants.EVENTHANDLER_REFERENCEINSERTION`
`static final String`
`OLD_FILE_RESOURCE_LOADER_CACHE`
Deprecated.
see `RuntimeConstants.FILE_RESOURCE_LOADER_CACHE`
`static final String`
`OLD_FILE_RESOURCE_LOADER_PATH`
Deprecated.
see `RuntimeConstants.FILE_RESOURCE_LOADER_PATH`
`static final String`
`OLD_INPUT_ENCODING`
Deprecated.
see `RuntimeConstants.INPUT_ENCODING`
`static final String`
`OLD_INTERPOLATE_STRINGLITERALS`
Deprecated.
see `RuntimeConstants.INTERPOLATE_STRINGLITERALS`
`static final String`
`OLD_MAX_NUMBER_LOOPS`
Deprecated.
see `RuntimeConstants.MAX_NUMBER_LOOPS`
`static final String`
`OLD_PARSE_DIRECTIVE_MAXDEPTH`
Deprecated.
see `RuntimeConstants.PARSE_DIRECTIVE_MAXDEPTH`
`static final String`
`OLD_RESOURCE_LOADER_CHECK_INTERVAL`
Deprecated.
Resource loader modification check interval property suffix
`static final String`
`OLD_RESOURCE_LOADERS`
Deprecated.
see `RuntimeConstants.RESOURCE_LOADERS`
`static final String`
`OLD_RESOURCE_MANAGER_DEFAULTCACHE_SIZE`
Deprecated.
see `RuntimeConstants.RESOURCE_MANAGER_DEFAULTCACHE_SIZE`
`static final String`
`OLD_RESOURCE_MANAGER_LOGWHENFOUND`
Deprecated.
see `RuntimeConstants.RESOURCE_MANAGER_LOGWHENFOUND`
`static final String`
`OLD_RUNTIME_LOG_REFERENCE_LOG_INVALID`
Deprecated.
see `RuntimeConstants.RUNTIME_LOG_REFERENCE_LOG_INVALID`
`static final String`
`OLD_RUNTIME_REFERENCES_STRICT`
Deprecated.
see `RuntimeConstants.RUNTIME_REFERENCES_STRICT`
`static final String`
`OLD_RUNTIME_REFERENCES_STRICT_ESCAPE`
Deprecated.
see `RuntimeConstants.RUNTIME_REFERENCES_STRICT_ESCAPE`
`static final String`
`OLD_SKIP_INVALID_ITERATOR`
Deprecated.
see `RuntimeConstants.SKIP_INVALID_ITERATOR`
`static final String`
`OLD_SPACE_GOBBLING`
Deprecated.
see `RuntimeConstants.SPACE_GOBBLING`
`static final String`
`OLD_STRICT_MATH`
Deprecated.
see `RuntimeConstants.STRICT_MATH`
`static final String`
`OLD_UBERSPECT_CLASSNAME`
Deprecated.
see `RuntimeConstants.UBERSPECT_CLASSNAME`
`static final String`
`OLD_VM_BODY_REFERENCE`
Deprecated.
see `RuntimeConstants.VM_BODY_REFERENCE`
`static final String`
`OLD_VM_ENABLE_BC_MODE`
Deprecated.
When displaying null or invalid non-quiet references, use the argument literal reference instead of the one in the macro block.
`static final String`
`OLD_VM_LIBRARY`
Deprecated.
see `RuntimeConstants.VM_LIBRARY`
`static final String`
`OLD_VM_LIBRARY_DEFAULT`
Deprecated.
see `RuntimeConstants.VM_LIBRARY_DEFAULT`
`static final String`
`OLD_VM_MAX_DEPTH`
Deprecated.
see `RuntimeConstants.VM_MAX_DEPTH`
`static final String`
`OLD_VM_PERM_ALLOW_INLINE`
Deprecated.
see `RuntimeConstants.VM_PERM_ALLOW_INLINE`
`static final String`
`OLD_VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL`
Deprecated.
see `RuntimeConstants.VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL`
`static final String`
`OLD_VM_PERM_INLINE_LOCAL`
Deprecated.
see `RuntimeConstants.VM_PERM_INLINE_LOCAL`

## Field Details

### OLD_RUNTIME_LOG_REFERENCE_LOG_INVALID

static final String OLD_RUNTIME_LOG_REFERENCE_LOG_INVALID
Deprecated.
see `RuntimeConstants.RUNTIME_LOG_REFERENCE_LOG_INVALID`
Logging of invalid references.

See Also:
  - Constant Field Values

### OLD_MAX_NUMBER_LOOPS

static final String OLD_MAX_NUMBER_LOOPS
Deprecated.
see `RuntimeConstants.MAX_NUMBER_LOOPS`
Maximum allowed number of loops.

See Also:
  - Constant Field Values

### OLD_SKIP_INVALID_ITERATOR

static final String OLD_SKIP_INVALID_ITERATOR
Deprecated.
see `RuntimeConstants.SKIP_INVALID_ITERATOR`
Whether to throw an exception or just skip bad iterables. Default is true.

Since:
  1.6
See Also:
  - Constant Field Values

### OLD_CHECK_EMPTY_OBJECTS

static final String OLD_CHECK_EMPTY_OBJECTS
Deprecated.
see `RuntimeConstants.CHECK_EMPTY_OBJECTS`
An empty object (string, collection) or zero number is false.

Since:
  2.0
See Also:
  - Constant Field Values

### OLD_ERRORMSG_START

static final String OLD_ERRORMSG_START
Deprecated.
see `RuntimeConstants.ERRORMSG_START`
Starting tag for error messages triggered by passing a parameter not allowed in the #include directive. Only string literals, and references are allowed.

See Also:
  - Constant Field Values

### OLD_ERRORMSG_END

static final String OLD_ERRORMSG_END
Deprecated.
see `RuntimeConstants.ERRORMSG_END`
Ending tag for error messages triggered by passing a parameter not allowed in the #include directive. Only string literals, and references are allowed.

See Also:
  - Constant Field Values

### OLD_PARSE_DIRECTIVE_MAXDEPTH

static final String OLD_PARSE_DIRECTIVE_MAXDEPTH
Deprecated.
see `RuntimeConstants.PARSE_DIRECTIVE_MAXDEPTH`
Maximum recursion depth allowed for the #parse directive.

See Also:
  - Constant Field Values

### OLD_DEFINE_DIRECTIVE_MAXDEPTH

static final String OLD_DEFINE_DIRECTIVE_MAXDEPTH
Deprecated.
see `RuntimeConstants.DEFINE_DIRECTIVE_MAXDEPTH`
Maximum recursion depth allowed for the #define directive.

See Also:
  - Constant Field Values

### OLD_CUSTOM_DIRECTIVES

static final String OLD_CUSTOM_DIRECTIVES
Deprecated.
see `RuntimeConstants.CUSTOM_DIRECTIVES`
Vector of custom directives

See Also:
  - Constant Field Values

### OLD_RESOURCE_MANAGER_DEFAULTCACHE_SIZE

static final String OLD_RESOURCE_MANAGER_DEFAULTCACHE_SIZE
Deprecated.
see `RuntimeConstants.RESOURCE_MANAGER_DEFAULTCACHE_SIZE`
The `resource.manager.cache.size` property specifies the cache upper bound (if relevant).

See Also:
  - Constant Field Values

### OLD_RESOURCE_MANAGER_LOGWHENFOUND

static final String OLD_RESOURCE_MANAGER_LOGWHENFOUND
Deprecated.
see `RuntimeConstants.RESOURCE_MANAGER_LOGWHENFOUND`
controls if the finding of a resource is logged.

See Also:
  - Constant Field Values

### OLD_RESOURCE_LOADERS

static final String OLD_RESOURCE_LOADERS
Deprecated.
see `RuntimeConstants.RESOURCE_LOADERS`
Key used to retrieve the names of the resource loaders to be used. In a properties file they may appear as the following:

resource.loader = file,classpath

See Also:
  - Constant Field Values

### OLD_FILE_RESOURCE_LOADER_PATH

static final String OLD_FILE_RESOURCE_LOADER_PATH
Deprecated.
see `RuntimeConstants.FILE_RESOURCE_LOADER_PATH`
The public handle for setting a path in the FileResourceLoader.

See Also:
  - Constant Field Values

### OLD_FILE_RESOURCE_LOADER_CACHE

static final String OLD_FILE_RESOURCE_LOADER_CACHE
Deprecated.
see `RuntimeConstants.FILE_RESOURCE_LOADER_CACHE`
The public handle for turning the caching on in the FileResourceLoader.

See Also:
  - Constant Field Values

### OLD_RESOURCE_LOADER_CHECK_INTERVAL

static final String OLD_RESOURCE_LOADER_CHECK_INTERVAL
Deprecated.
Resource loader modification check interval property suffix

See Also:
  - Constant Field Values

### OLD_DS_RESOURCE_LOADER_DATASOURCE

static final String OLD_DS_RESOURCE_LOADER_DATASOURCE
Deprecated.
see `RuntimeConstants.DS_RESOURCE_LOADER_DATASOURCE`
Datasource loader datasource url

See Also:
  - Constant Field Values

### OLD_DS_RESOURCE_LOADER_KEY_COLUMN

static final String OLD_DS_RESOURCE_LOADER_KEY_COLUMN
Deprecated.
see `RuntimeConstants.DS_RESOURCE_LOADER_KEY_COLUMN`
Datasource loader template key column

See Also:
  - Constant Field Values

### OLD_DS_RESOURCE_LOADER_TEMPLATE_COLUMN

static final String OLD_DS_RESOURCE_LOADER_TEMPLATE_COLUMN
Deprecated.
see `RuntimeConstants.DS_RESOURCE_LOADER_TEMPLATE_COLUMN`
Datasource loader template content column

See Also:
  - Constant Field Values

### OLD_DS_RESOURCE_LOADER_TIMESTAMP_COLUMN

static final String OLD_DS_RESOURCE_LOADER_TIMESTAMP_COLUMN
Deprecated.
see `RuntimeConstants.DS_RESOURCE_LOADER_TIMESTAMP_COLUMN`
Datasource loader template timestamp column

See Also:
  - Constant Field Values

### OLD_INPUT_ENCODING

static final String OLD_INPUT_ENCODING
Deprecated.
see `RuntimeConstants.INPUT_ENCODING`
The default character encoding for the templates. Used by the parser in processing the input streams.

See Also:
  - Constant Field Values

### OLD_EVENTHANDLER_REFERENCEINSERTION

static final String OLD_EVENTHANDLER_REFERENCEINSERTION
Deprecated.
see `RuntimeConstants.EVENTHANDLER_REFERENCEINSERTION`
The `eventhandler.referenceinsertion.class` property specifies a list of the `ReferenceInsertionEventHandler` implementations to use.

See Also:
  - Constant Field Values

### OLD_EVENTHANDLER_METHODEXCEPTION

static final String OLD_EVENTHANDLER_METHODEXCEPTION
Deprecated.
see `RuntimeConstants.EVENTHANDLER_METHODEXCEPTION`
The `eventhandler.methodexception.class` property specifies a list of the `MethodExceptionEventHandler` implementations to use.

See Also:
  - Constant Field Values

### OLD_EVENTHANDLER_INCLUDE

static final String OLD_EVENTHANDLER_INCLUDE
Deprecated.
see `RuntimeConstants.EVENTHANDLER_INCLUDE`
The `eventhandler.include.class` property specifies a list of the `IncludeEventHandler` implementations to use.

See Also:
  - Constant Field Values

### OLD_EVENTHANDLER_INVALIDREFERENCES

static final String OLD_EVENTHANDLER_INVALIDREFERENCES
Deprecated.
see `RuntimeConstants.EVENTHANDLER_INVALIDREFERENCES`
The `eventhandler.invalidreferences.class` property specifies a list of the `InvalidReferenceEventHandler` implementations to use.

See Also:
  - Constant Field Values

### OLD_VM_LIBRARY

static final String OLD_VM_LIBRARY
Deprecated.
see `RuntimeConstants.VM_LIBRARY`
Name of local Velocimacro library template.

See Also:
  - Constant Field Values

### OLD_VM_LIBRARY_DEFAULT

static final String OLD_VM_LIBRARY_DEFAULT
Deprecated.
see `RuntimeConstants.VM_LIBRARY_DEFAULT`
Default Velocimacro library template.

See Also:
  - Constant Field Values

### OLD_VM_PERM_ALLOW_INLINE

static final String OLD_VM_PERM_ALLOW_INLINE
Deprecated.
see `RuntimeConstants.VM_PERM_ALLOW_INLINE`
boolean (true/false) default true: allow inline (in-template) macro definitions.

See Also:
  - Constant Field Values

### OLD_VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL

static final String OLD_VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL
Deprecated.
see `RuntimeConstants.VM_PERM_ALLOW_INLINE_REPLACE_GLOBAL`
boolean (true/false) default false: allow inline (in-template) macro definitions to replace existing.

See Also:
  - Constant Field Values

### OLD_VM_PERM_INLINE_LOCAL

static final String OLD_VM_PERM_INLINE_LOCAL
Deprecated.
see `RuntimeConstants.VM_PERM_INLINE_LOCAL`
Switch for forcing inline macros to be local: default false.

See Also:
  - Constant Field Values

### OLD_VM_MAX_DEPTH

static final String OLD_VM_MAX_DEPTH
Deprecated.
see `RuntimeConstants.VM_MAX_DEPTH`
Specify the maximum depth for macro calls

Since:
  1.6
See Also:
  - Constant Field Values

### OLD_VM_BODY_REFERENCE

static final String OLD_VM_BODY_REFERENCE
Deprecated.
see `RuntimeConstants.VM_BODY_REFERENCE`
Defines name of the reference that can be used to get the AST block passed to block macro calls.

Since:
  1.7
See Also:
  - Constant Field Values

### OLD_RUNTIME_REFERENCES_STRICT

static final String OLD_RUNTIME_REFERENCES_STRICT
Deprecated.
see `RuntimeConstants.RUNTIME_REFERENCES_STRICT`
Properties referenced in the template are required to exist the object

See Also:
  - Constant Field Values

### OLD_RUNTIME_REFERENCES_STRICT_ESCAPE

static final String OLD_RUNTIME_REFERENCES_STRICT_ESCAPE
Deprecated.
see `RuntimeConstants.RUNTIME_REFERENCES_STRICT_ESCAPE`
Indicates we are going to use modified escape behavior in strict mode

See Also:
  - Constant Field Values

### OLD_UBERSPECT_CLASSNAME

static final String OLD_UBERSPECT_CLASSNAME
Deprecated.
see `RuntimeConstants.UBERSPECT_CLASSNAME`
key name for uberspector. Multiple classnames can be specified,in which case uberspectors will be chained.

See Also:
  - Constant Field Values

### OLD_CONVERSION_HANDLER_CLASS

static final String OLD_CONVERSION_HANDLER_CLASS
Deprecated.
see `RuntimeConstants.CONVERSION_HANDLER_INSTANCE`
key for Conversion Manager class

See Also:
  - Constant Field Values

### OLD_INTERPOLATE_STRINGLITERALS

static final String OLD_INTERPOLATE_STRINGLITERALS
Deprecated.
see `RuntimeConstants.INTERPOLATE_STRINGLITERALS`
Switch for the interpolation facility for string literals.

See Also:
  - Constant Field Values

### OLD_STRICT_MATH

static final String OLD_STRICT_MATH
Deprecated.
see `RuntimeConstants.STRICT_MATH`
Switch for ignoring nulls in math equations vs throwing exceptions.

See Also:
  - Constant Field Values

### OLD_CONTEXT_AUTOREFERENCE_KEY

static final String OLD_CONTEXT_AUTOREFERENCE_KEY
Deprecated.
see `RuntimeConstants.CONTEXT_AUTOREFERENCE_KEY`
Key upon which a context should be accessible within itself

See Also:
  - Constant Field Values

### OLD_SPACE_GOBBLING

static final String OLD_SPACE_GOBBLING
Deprecated.
see `RuntimeConstants.SPACE_GOBBLING`
Space gobbling mode

Since:
  2.0
See Also:
  - Constant Field Values

### OLD_VM_ENABLE_BC_MODE

static final String OLD_VM_ENABLE_BC_MODE
Deprecated.
When displaying null or invalid non-quiet references, use the argument literal reference instead of the one in the macro block. Defaults to false.

Since:
  2.1
See Also:
  - Constant Field Values